Skip to main content
GET
/
v1
/
beta
/
projects
/
{project_id}
/
multi-turns
/
{multi_turn_id}
{
  "multi_turn": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "attack_name": "<string>",
    "goal": "<string>",
    "progress": "TEST_PROGRESS_UNSPECIFIED",
    "completed_at": "2023-11-07T05:31:56Z",
    "outcome": "TEST_OUTCOME_UNSPECIFIED",
    "score": 123,
    "reason": "<string>",
    "attack_duration_ms": 123,
    "events": [
      {
        "event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "outcome": "TEST_OUTCOME_UNSPECIFIED",
        "sum_conversation_duration_ms": 123,
        "name": "<string>",
        "conversations": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "request": "<string>",
            "response": "<string>",
            "duration_ms": 123,
            "error_code": 123,
            "error_message": "<string>",
            "outcome": "CONVERSATION_OUTCOME_UNSPECIFIED",
            "score": 123,
            "reason": "<string>",
            "turn_index": 123,
            "retry_index": 123
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string<uuid>
required

The UUID of the project

multi_turn_id
string<uuid>
required

The UUID of the multi-turn test

Response

A successful response.

multi_turn
A multi-turn test record; events are populated only in single-item responses · object